# Interface ControlWithDataSource<Source, Target>

interface ControlWithDataSource<Source = any, Target = any> {
setDataSource(
name: string,
dataSource: DataSource,
settings?: UseDataSourceSettings<Source, Target>,
): void;
}

#### Type Parameters

- Source = any
- Target = any

- Defined in packages/angular/form-system/src/lib/control-with-data-source.ts:4

#####
Index

### Methods

setDataSource

##
Methods

### setDataSource

- setDataSource(
  name: string,
  dataSource: DataSource,
  settings?: UseDataSourceSettings<Source, Target>,
  ): void

  #### Parameters

  - name: string
  - dataSource: DataSource
  - `Optional` settings: UseDataSourceSettings<Source, Target>

  #### Returns void

  - Defined in packages/angular/form-system/src/lib/control-with-data-source.ts:5